Subject: Re: bug#11412: 24.0.95; auto-revert-mode doesn't revert buffer when file becomes writeable

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Jul 2021 13:17:54 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> This is apparently a feature added in 2004:
>
> commit 90e118abf2dcc4aca4d7a7642247fa488554351e
> Author:     Luc Teirlinck <[email-masked]>
> AuthorDate: Fri Sep 3 22:28:10 2004 +0000
>
>         ;; Bind buffer-read-only in case user has done C-x C-q, so as
>         ;; not to forget that.  This gives undesirable results when
>         ;; the file's mode changes, but that is less common.
>         (let ((buffer-read-only buffer-read-only))
>            ...
>             (revert-buffer 'ignore-auto 'dont-ask 'preserve-modes))))
>
> So auto-reversion doesn't touch the buffer-readedness in case the user
> has set it manually.  So I'm not sure whether we should change this
> behaviour here.  Anybody got an opinion?

Nobody had an opinion, and I think this is working as designed, and I'm
closing this bug report.  If I misunderstood the issue, please respond
to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no